package org.wanto.mp3k.ui.swing;

/**
 * Mp3Knife: A mp3 disection utility.
 * Copyright (C) Paul Stanton (wanto_@hotmail.com)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.io.*;

/**
 * a file name filter. this filter (supposedly) limits the 
 * accepted files to those ending with the specified extension.
 * @author: Paul Stanton (wanto_@hotmail.com)
 */

public class ExtensionFilenameFilter implements FilenameFilter
{
	private String ext;

	public ExtensionFilenameFilter(String _ext)
	{
		ext = _ext;
	}
	public boolean accept(File dir, String fileName)
	{
		return (fileName.trim().endsWith(ext));
	}
}
