package org.wanto.mp3k.ui.swing;

/**
 * Mp3Knife: A mp3 disection utility.
 * Copyright (C) Paul Stanton (wanto_@hotmail.com)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import javax.swing.*;
import java.awt.*;
import java.util.Locale;
import java.util.ResourceBundle;
import java.util.MissingResourceException;
import org.wanto.util.*;

/**
 * Swing interface for mp3knife application.
 * @author: Paul Stanton (wanto_@hotmail.com)
 */

public class Mp3InfoPane extends JScrollPane
{
	private final JTextPane text = new JTextPane();
	
	public Mp3InfoPane(Locale _locale, String defaultMsg)
	{
		super();

		setVisible(false);
		text.setText(defaultMsg);
		setPreferredSize(new Dimension(100, 80));
		
		text.setOpaque(false);
		text.setEditable(false);
		text.setFont(new Font("sansserif", Font.PLAIN, 10));
		
		getViewport().add(text);
	}
	public JTextPane getTextPane()
	{
		return text;
	}
}
