package org.wanto.mp3k.ui.swing;

/**
 * Mp3Knife: A mp3 disection utility.
 * Copyright (C) Paul Stanton (wanto_@hotmail.com)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import javax.swing.text.*;

/**
 * A JTextField that only accepts the characters provided in the constructor as input
 * @author: Paul Stanton (wanto_@hotmail.com)
 */

public class RestrictiveTextField extends javax.swing.JTextField
{
	private String acceptChars;

	private class Doc extends PlainDocument
	{
		public void insertString(int offset, String str, AttributeSet attributes) throws BadLocationException
		{
			StringBuffer sb = new StringBuffer(str);

			for(int i = sb.length() - 1; i >= 0; i--)
			{
				if(acceptChars.indexOf(sb.charAt(i)) == -1)
				{
					sb.delete(i, i + 1);
				}
			}
			
			super.insertString(offset, sb.toString(), attributes);
		}
	}
	
	public RestrictiveTextField(char[] acceptChars)
	{
		this.acceptChars = new String(acceptChars);
	}
	public RestrictiveTextField(String acceptChars)
	{
		this.acceptChars = acceptChars;
	}
	protected Document createDefaultModel()
	{
		return new Doc();
	}
}
